#include <QApplication>
#include <QXmlQuery>
#include <qdebug.h>
#include <QFile>
#include <QXmlResultItems>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    bool ok;
    QString htmlString;
    QXmlResultItems result;
    QXmlQuery query(QXmlQuery::XSLT20);
    ok = query.setFocus(QUrl("qrc:/ChangeLog.xml"));
    query.setQuery(QUrl("qrc:/ChangeLog.xsl"));
    query.evaluateTo(&htmlString);


    QFile file("out.html");
    if (!file.open(QIODevice::WriteOnly | QIODevice::Text))
        return 0;

    QTextStream out(&file);
    out << htmlString;

    qDebug()<<htmlString;

    return 0;
}
